#ifndef IRecompressCallback_H
#define IRecompressCallback_H
class IRecompressCallback
{
public:
    virtual void addAudio(framepos_t asample, size_t asize, double atime) = 0;
    virtual void addVideo(framepos_t vframe, size_t vsize, double vtime, bool keyframe) =0;
    virtual void setTotal(framepos_t vtotal, framepos_t atotal,
			  double vtime, double atime) =0;
    virtual void setNewState(double progress, double elapsed,
			     double estimated, int64_t filesize) =0;
    virtual void finished() =0;
};
#endif
